Bug 1900521 - python-pyairnow fails to build with Python 3.10: TypeError: StreamReader.__init__() missing 1 required positional argument: 'limit'
Summary: python-pyairnow fails to build with Python 3.10: TypeError: StreamReader.__in...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pyairnow
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-11-23 09:30 UTC by Tomáš Hrnčiar
Modified: 2021-02-09 16:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2020-11-23 09:30:05 UTC
python-pyairnow fails to build with Python 3.10.0a2.

=================================== FAILURES ===================================
___________________________________ test_api ___________________________________

mock_airnowapi = None

    @pytest.mark.asyncio
    async def test_api(mock_airnowapi):
        client = WebServiceAPI(MOCK_API_KEY)
>       data = await client.forecast.zipCode('90001')

tests/test_10_api.py:12: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
pyairnow/forecast.py:33: in zipCode
    return await self._request(
pyairnow/api.py:47: in _get
    async with session.get(
/usr/lib64/python3.10/site-packages/aiohttp/client.py:1124: in __aenter__
    self._resp = await self._coro
/usr/lib64/python3.10/unittest/mock.py:2165: in _execute_mock_call
    result = await effect(*args, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:388: in _request_mock
    response = await self.match(method, url, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:334: in match
    response_or_exc = await matcher.build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:190: in build_response
    resp = self._build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:171: in _build_response
    resp.content = stream_reader_factory(loop)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

loop = <Mock id='140054245153328'>

    def stream_reader_factory(
            loop: 'Optional[asyncio.AbstractEventLoop]' = None
    ):
        protocol = ResponseHandler(loop=loop)
>       return StreamReader(protocol, loop=loop)
E       TypeError: StreamReader.__init__() missing 1 required positional argument: 'limit'

/usr/lib/python3.10/site-packages/aioresponses/compat.py:26: TypeError
____________________________ test_api_with_session _____________________________

mock_airnowapi = None

    @pytest.mark.asyncio
    async def test_api_with_session(mock_airnowapi):
        session = ClientSession()
        client = WebServiceAPI(MOCK_API_KEY, session=session)
>       data = await client.forecast.zipCode(90001)

tests/test_10_api.py:29: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
pyairnow/forecast.py:33: in zipCode
    return await self._request(
pyairnow/api.py:47: in _get
    async with session.get(
/usr/lib64/python3.10/site-packages/aiohttp/client.py:1124: in __aenter__
    self._resp = await self._coro
/usr/lib64/python3.10/unittest/mock.py:2165: in _execute_mock_call
    result = await effect(*args, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:388: in _request_mock
    response = await self.match(method, url, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:334: in match
    response_or_exc = await matcher.build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:190: in build_response
    resp = self._build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:171: in _build_response
    resp.content = stream_reader_factory(loop)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

loop = <Mock id='140054258492272'>

    def stream_reader_factory(
            loop: 'Optional[asyncio.AbstractEventLoop]' = None
    ):
        protocol = ResponseHandler(loop=loop)
>       return StreamReader(protocol, loop=loop)
E       TypeError: StreamReader.__init__() missing 1 required positional argument: 'limit'

/usr/lib/python3.10/site-packages/aioresponses/compat.py:26: TypeError
__________________________ test_api_not_authenticated __________________________

mock_airnowapi = None

    @pytest.mark.asyncio
    async def test_api_not_authenticated(mock_airnowapi):
        client = WebServiceAPI('')
        with pytest.raises(InvalidKeyError) as exc_info:
>           await client.forecast.zipCode(90001)

tests/test_11_errors.py:14: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
pyairnow/forecast.py:33: in zipCode
    return await self._request(
pyairnow/api.py:47: in _get
    async with session.get(
/usr/lib64/python3.10/site-packages/aiohttp/client.py:1124: in __aenter__
    self._resp = await self._coro
/usr/lib64/python3.10/unittest/mock.py:2165: in _execute_mock_call
    result = await effect(*args, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:388: in _request_mock
    response = await self.match(method, url, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:334: in match
    response_or_exc = await matcher.build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:190: in build_response
    resp = self._build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:171: in _build_response
    resp.content = stream_reader_factory(loop)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

loop = <Mock id='140054240401344'>

    def stream_reader_factory(
            loop: 'Optional[asyncio.AbstractEventLoop]' = None
    ):
        protocol = ResponseHandler(loop=loop)
>       return StreamReader(protocol, loop=loop)
E       TypeError: StreamReader.__init__() missing 1 required positional argument: 'limit'

/usr/lib/python3.10/site-packages/aioresponses/compat.py:26: TypeError
_____________________________ test_api_invalid_key _____________________________

mock_airnowapi = None

    @pytest.mark.asyncio
    async def test_api_invalid_key(mock_airnowapi):
        client = WebServiceAPI('123ABC')
        with pytest.raises(InvalidKeyError) as exc_info:
>           await client.forecast.zipCode(90001)

tests/test_11_errors.py:22: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
pyairnow/forecast.py:33: in zipCode
    return await self._request(
pyairnow/api.py:47: in _get
    async with session.get(
/usr/lib64/python3.10/site-packages/aiohttp/client.py:1124: in __aenter__
    self._resp = await self._coro
/usr/lib64/python3.10/unittest/mock.py:2165: in _execute_mock_call
    result = await effect(*args, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:388: in _request_mock
    response = await self.match(method, url, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:334: in match
    response_or_exc = await matcher.build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:190: in build_response
    resp = self._build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:171: in _build_response
    resp.content = stream_reader_factory(loop)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

loop = <Mock id='140054239645552'>

    def stream_reader_factory(
            loop: 'Optional[asyncio.AbstractEventLoop]' = None
    ):
        protocol = ResponseHandler(loop=loop)
>       return StreamReader(protocol, loop=loop)
E       TypeError: StreamReader.__init__() missing 1 required positional argument: 'limit'

/usr/lib/python3.10/site-packages/aioresponses/compat.py:26: TypeError
______________________________ test_api_bad_json _______________________________

mock_airnowapi = None

    @pytest.mark.asyncio
    async def test_api_bad_json(mock_airnowapi):
        client = WebServiceAPI(MOCK_API_KEY)
        with pytest.raises(InvalidJsonError):
>           await client.forecast.zipCode('bad_json')

tests/test_11_errors.py:30: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
pyairnow/forecast.py:33: in zipCode
    return await self._request(
pyairnow/api.py:47: in _get
    async with session.get(
/usr/lib64/python3.10/site-packages/aiohttp/client.py:1124: in __aenter__
    self._resp = await self._coro
/usr/lib64/python3.10/unittest/mock.py:2165: in _execute_mock_call
    result = await effect(*args, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:388: in _request_mock
    response = await self.match(method, url, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:334: in match
    response_or_exc = await matcher.build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:190: in build_response
    resp = self._build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:171: in _build_response
    resp.content = stream_reader_factory(loop)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

loop = <Mock id='140054258521328'>

    def stream_reader_factory(
            loop: 'Optional[asyncio.AbstractEventLoop]' = None
    ):
        protocol = ResponseHandler(loop=loop)
>       return StreamReader(protocol, loop=loop)
E       TypeError: StreamReader.__init__() missing 1 required positional argument: 'limit'

/usr/lib/python3.10/site-packages/aioresponses/compat.py:26: TypeError
_____________________________ test_api_bad_json_2 ______________________________

mock_airnowapi = None

    @pytest.mark.asyncio
    async def test_api_bad_json_2(mock_airnowapi):
        client = WebServiceAPI(MOCK_API_KEY)
        with pytest.raises(InvalidJsonError):
>           await client.forecast.zipCode('dict')

tests/test_11_errors.py:37: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
pyairnow/forecast.py:33: in zipCode
    return await self._request(
pyairnow/api.py:47: in _get
    async with session.get(
/usr/lib64/python3.10/site-packages/aiohttp/client.py:1124: in __aenter__
    self._resp = await self._coro
/usr/lib64/python3.10/unittest/mock.py:2165: in _execute_mock_call
    result = await effect(*args, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:388: in _request_mock
    response = await self.match(method, url, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:334: in match
    response_or_exc = await matcher.build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:190: in build_response
    resp = self._build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:171: in _build_response
    resp.content = stream_reader_factory(loop)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

loop = <Mock id='140054258494480'>

    def stream_reader_factory(
            loop: 'Optional[asyncio.AbstractEventLoop]' = None
    ):
        protocol = ResponseHandler(loop=loop)
>       return StreamReader(protocol, loop=loop)
E       TypeError: StreamReader.__init__() missing 1 required positional argument: 'limit'

/usr/lib/python3.10/site-packages/aioresponses/compat.py:26: TypeError
___________________________ test_api_empty_response ____________________________

mock_airnowapi = None

    @pytest.mark.asyncio
    async def test_api_empty_response(mock_airnowapi):
        client = WebServiceAPI(MOCK_API_KEY)
        with pytest.raises(EmptyResponseError):
>           await client.forecast.zipCode('empty')

tests/test_11_errors.py:44: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
pyairnow/forecast.py:33: in zipCode
    return await self._request(
pyairnow/api.py:47: in _get
    async with session.get(
/usr/lib64/python3.10/site-packages/aiohttp/client.py:1124: in __aenter__
    self._resp = await self._coro
/usr/lib64/python3.10/unittest/mock.py:2165: in _execute_mock_call
    result = await effect(*args, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:388: in _request_mock
    response = await self.match(method, url, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:334: in match
    response_or_exc = await matcher.build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:190: in build_response
    resp = self._build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:171: in _build_response
    resp.content = stream_reader_factory(loop)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

loop = <Mock id='140054237762896'>

    def stream_reader_factory(
            loop: 'Optional[asyncio.AbstractEventLoop]' = None
    ):
        protocol = ResponseHandler(loop=loop)
>       return StreamReader(protocol, loop=loop)
E       TypeError: StreamReader.__init__() missing 1 required positional argument: 'limit'

/usr/lib/python3.10/site-packages/aioresponses/compat.py:26: TypeError
__________________________ test_api_unexpected_error ___________________________

mock_airnowapi = None

    @pytest.mark.asyncio
    async def test_api_unexpected_error(mock_airnowapi):
        client = WebServiceAPI(MOCK_API_KEY)
        with pytest.raises(AirNowError) as exc_info:
>           await client.forecast.zipCode('error')

tests/test_11_errors.py:51: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
pyairnow/forecast.py:33: in zipCode
    return await self._request(
pyairnow/api.py:47: in _get
    async with session.get(
/usr/lib64/python3.10/site-packages/aiohttp/client.py:1124: in __aenter__
    self._resp = await self._coro
/usr/lib64/python3.10/unittest/mock.py:2165: in _execute_mock_call
    result = await effect(*args, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:388: in _request_mock
    response = await self.match(method, url, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:334: in match
    response_or_exc = await matcher.build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:190: in build_response
    resp = self._build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:171: in _build_response
    resp.content = stream_reader_factory(loop)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

loop = <Mock id='140054239676016'>

    def stream_reader_factory(
            loop: 'Optional[asyncio.AbstractEventLoop]' = None
    ):
        protocol = ResponseHandler(loop=loop)
>       return StreamReader(protocol, loop=loop)
E       TypeError: StreamReader.__init__() missing 1 required positional argument: 'limit'

/usr/lib/python3.10/site-packages/aioresponses/compat.py:26: TypeError
_________________________ test_api_unexpected_error_1 __________________________

mock_airnowapi = None

    @pytest.mark.asyncio
    async def test_api_unexpected_error_1(mock_airnowapi):
        client = WebServiceAPI(MOCK_API_KEY)
        with pytest.raises(AirNowError) as exc_info:
>           await client.forecast.zipCode('error1')

tests/test_11_errors.py:59: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
pyairnow/forecast.py:33: in zipCode
    return await self._request(
pyairnow/api.py:47: in _get
    async with session.get(
/usr/lib64/python3.10/site-packages/aiohttp/client.py:1124: in __aenter__
    self._resp = await self._coro
/usr/lib64/python3.10/unittest/mock.py:2165: in _execute_mock_call
    result = await effect(*args, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:388: in _request_mock
    response = await self.match(method, url, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:334: in match
    response_or_exc = await matcher.build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:190: in build_response
    resp = self._build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:171: in _build_response
    resp.content = stream_reader_factory(loop)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

loop = <Mock id='140054240477344'>

    def stream_reader_factory(
            loop: 'Optional[asyncio.AbstractEventLoop]' = None
    ):
        protocol = ResponseHandler(loop=loop)
>       return StreamReader(protocol, loop=loop)
E       TypeError: StreamReader.__init__() missing 1 required positional argument: 'limit'

/usr/lib/python3.10/site-packages/aioresponses/compat.py:26: TypeError
_________________________ test_api_unexpected_error_2 __________________________

mock_airnowapi = None

    @pytest.mark.asyncio
    async def test_api_unexpected_error_2(mock_airnowapi):
        client = WebServiceAPI(MOCK_API_KEY)
        with pytest.raises(AirNowError) as exc_info:
>           await client.forecast.zipCode('error2')

tests/test_11_errors.py:67: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
pyairnow/forecast.py:33: in zipCode
    return await self._request(
pyairnow/api.py:47: in _get
    async with session.get(
/usr/lib64/python3.10/site-packages/aiohttp/client.py:1124: in __aenter__
    self._resp = await self._coro
/usr/lib64/python3.10/unittest/mock.py:2165: in _execute_mock_call
    result = await effect(*args, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:388: in _request_mock
    response = await self.match(method, url, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:334: in match
    response_or_exc = await matcher.build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:190: in build_response
    resp = self._build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:171: in _build_response
    resp.content = stream_reader_factory(loop)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

loop = <Mock id='140054244414656'>

    def stream_reader_factory(
            loop: 'Optional[asyncio.AbstractEventLoop]' = None
    ):
        protocol = ResponseHandler(loop=loop)
>       return StreamReader(protocol, loop=loop)
E       TypeError: StreamReader.__init__() missing 1 required positional argument: 'limit'

/usr/lib/python3.10/site-packages/aioresponses/compat.py:26: TypeError
__________________________ test_api_forecast_zipcode ___________________________

mock_airnowapi = None

    @pytest.mark.asyncio
    async def test_api_forecast_zipcode(mock_airnowapi):
        client = WebServiceAPI(MOCK_API_KEY)
>       data = await client.forecast.zipCode(90001)

tests/test_12_forecast.py:12: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
pyairnow/forecast.py:33: in zipCode
    return await self._request(
pyairnow/api.py:47: in _get
    async with session.get(
/usr/lib64/python3.10/site-packages/aiohttp/client.py:1124: in __aenter__
    self._resp = await self._coro
/usr/lib64/python3.10/unittest/mock.py:2165: in _execute_mock_call
    result = await effect(*args, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:388: in _request_mock
    response = await self.match(method, url, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:334: in match
    response_or_exc = await matcher.build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:190: in build_response
    resp = self._build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:171: in _build_response
    resp.content = stream_reader_factory(loop)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

loop = <Mock id='140054245086544'>

    def stream_reader_factory(
            loop: 'Optional[asyncio.AbstractEventLoop]' = None
    ):
        protocol = ResponseHandler(loop=loop)
>       return StreamReader(protocol, loop=loop)
E       TypeError: StreamReader.__init__() missing 1 required positional argument: 'limit'

/usr/lib/python3.10/site-packages/aioresponses/compat.py:26: TypeError
______________________ test_api_forecast_zipcode_distance ______________________

mock_airnowapi = None

    @pytest.mark.asyncio
    async def test_api_forecast_zipcode_distance(mock_airnowapi):
        client = WebServiceAPI(MOCK_API_KEY)
>       data = await client.forecast.zipCode(90001, distance=100)

tests/test_12_forecast.py:28: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
pyairnow/forecast.py:33: in zipCode
    return await self._request(
pyairnow/api.py:47: in _get
    async with session.get(
/usr/lib64/python3.10/site-packages/aiohttp/client.py:1124: in __aenter__
    self._resp = await self._coro
/usr/lib64/python3.10/unittest/mock.py:2165: in _execute_mock_call
    result = await effect(*args, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:388: in _request_mock
    response = await self.match(method, url, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:334: in match
    response_or_exc = await matcher.build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:190: in build_response
    resp = self._build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:171: in _build_response
    resp.content = stream_reader_factory(loop)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

loop = <Mock id='140054238069088'>

    def stream_reader_factory(
            loop: 'Optional[asyncio.AbstractEventLoop]' = None
    ):
        protocol = ResponseHandler(loop=loop)
>       return StreamReader(protocol, loop=loop)
E       TypeError: StreamReader.__init__() missing 1 required positional argument: 'limit'

/usr/lib/python3.10/site-packages/aioresponses/compat.py:26: TypeError
______________________ test_api_forecast_zipcode_date_str ______________________

mock_airnowapi = None

    @pytest.mark.asyncio
    async def test_api_forecast_zipcode_date_str(mock_airnowapi):
        client = WebServiceAPI(MOCK_API_KEY)
>       data = await client.forecast.zipCode(90001, date='2020-09-01')

tests/test_12_forecast.py:47: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
pyairnow/forecast.py:33: in zipCode
    return await self._request(
pyairnow/api.py:47: in _get
    async with session.get(
/usr/lib64/python3.10/site-packages/aiohttp/client.py:1124: in __aenter__
    self._resp = await self._coro
/usr/lib64/python3.10/unittest/mock.py:2165: in _execute_mock_call
    result = await effect(*args, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:388: in _request_mock
    response = await self.match(method, url, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:334: in match
    response_or_exc = await matcher.build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:190: in build_response
    resp = self._build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:171: in _build_response
    resp.content = stream_reader_factory(loop)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

loop = <Mock id='140054239477920'>

    def stream_reader_factory(
            loop: 'Optional[asyncio.AbstractEventLoop]' = None
    ):
        protocol = ResponseHandler(loop=loop)
>       return StreamReader(protocol, loop=loop)
E       TypeError: StreamReader.__init__() missing 1 required positional argument: 'limit'

/usr/lib/python3.10/site-packages/aioresponses/compat.py:26: TypeError
_____________________ test_api_forecast_zipcode_date_date ______________________

mock_airnowapi = None

    @pytest.mark.asyncio
    async def test_api_forecast_zipcode_date_date(mock_airnowapi):
        client = WebServiceAPI(MOCK_API_KEY)
>       data = await client.forecast.zipCode(
            90001,
            date=datetime.date(2020, 9, 1)
        )

tests/test_12_forecast.py:66: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
pyairnow/forecast.py:33: in zipCode
    return await self._request(
pyairnow/api.py:47: in _get
    async with session.get(
/usr/lib64/python3.10/site-packages/aiohttp/client.py:1124: in __aenter__
    self._resp = await self._coro
/usr/lib64/python3.10/unittest/mock.py:2165: in _execute_mock_call
    result = await effect(*args, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:388: in _request_mock
    response = await self.match(method, url, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:334: in match
    response_or_exc = await matcher.build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:190: in build_response
    resp = self._build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:171: in _build_response
    resp.content = stream_reader_factory(loop)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

loop = <Mock id='140054245266768'>

    def stream_reader_factory(
            loop: 'Optional[asyncio.AbstractEventLoop]' = None
    ):
        protocol = ResponseHandler(loop=loop)
>       return StreamReader(protocol, loop=loop)
E       TypeError: StreamReader.__init__() missing 1 required positional argument: 'limit'

/usr/lib/python3.10/site-packages/aioresponses/compat.py:26: TypeError
___________________ test_api_forecast_zipcode_date_datetime ____________________

mock_airnowapi = None

    @pytest.mark.asyncio
    async def test_api_forecast_zipcode_date_datetime(mock_airnowapi):
        client = WebServiceAPI(MOCK_API_KEY)
>       data = await client.forecast.zipCode(
            90001,
            date=datetime.datetime(2020, 9, 1, 11, 45, 1)
        )

tests/test_12_forecast.py:88: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
pyairnow/forecast.py:33: in zipCode
    return await self._request(
pyairnow/api.py:47: in _get
    async with session.get(
/usr/lib64/python3.10/site-packages/aiohttp/client.py:1124: in __aenter__
    self._resp = await self._coro
/usr/lib64/python3.10/unittest/mock.py:2165: in _execute_mock_call
    result = await effect(*args, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:388: in _request_mock
    response = await self.match(method, url, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:334: in match
    response_or_exc = await matcher.build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:190: in build_response
    resp = self._build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:171: in _build_response
    resp.content = stream_reader_factory(loop)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

loop = <Mock id='140054240479840'>

    def stream_reader_factory(
            loop: 'Optional[asyncio.AbstractEventLoop]' = None
    ):
        protocol = ResponseHandler(loop=loop)
>       return StreamReader(protocol, loop=loop)
E       TypeError: StreamReader.__init__() missing 1 required positional argument: 'limit'

/usr/lib/python3.10/site-packages/aioresponses/compat.py:26: TypeError
_____________________________ test_api_forecast_ll _____________________________

mock_airnowapi = None

    @pytest.mark.asyncio
    async def test_api_forecast_ll(mock_airnowapi):
        client = WebServiceAPI(MOCK_API_KEY)
>       data = await client.forecast.latLong(34.053718, -118.244842)

tests/test_12_forecast.py:110: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
pyairnow/forecast.py:61: in latLong
    return await self._request(
pyairnow/api.py:47: in _get
    async with session.get(
/usr/lib64/python3.10/site-packages/aiohttp/client.py:1124: in __aenter__
    self._resp = await self._coro
/usr/lib64/python3.10/unittest/mock.py:2165: in _execute_mock_call
    result = await effect(*args, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:388: in _request_mock
    response = await self.match(method, url, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:334: in match
    response_or_exc = await matcher.build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:190: in build_response
    resp = self._build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:171: in _build_response
    resp.content = stream_reader_factory(loop)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

loop = <Mock id='140054238440080'>

    def stream_reader_factory(
            loop: 'Optional[asyncio.AbstractEventLoop]' = None
    ):
        protocol = ResponseHandler(loop=loop)
>       return StreamReader(protocol, loop=loop)
E       TypeError: StreamReader.__init__() missing 1 required positional argument: 'limit'

/usr/lib/python3.10/site-packages/aioresponses/compat.py:26: TypeError
________________________ test_api_forecast_ll_distance _________________________

mock_airnowapi = None

    @pytest.mark.asyncio
    async def test_api_forecast_ll_distance(mock_airnowapi):
        client = WebServiceAPI(MOCK_API_KEY)
>       data = await client.forecast.latLong(
            34.053718, -118.244842,
            distance=120
        )

tests/test_12_forecast.py:128: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
pyairnow/forecast.py:61: in latLong
    return await self._request(
pyairnow/api.py:47: in _get
    async with session.get(
/usr/lib64/python3.10/site-packages/aiohttp/client.py:1124: in __aenter__
    self._resp = await self._coro
/usr/lib64/python3.10/unittest/mock.py:2165: in _execute_mock_call
    result = await effect(*args, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:388: in _request_mock
    response = await self.match(method, url, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:334: in match
    response_or_exc = await matcher.build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:190: in build_response
    resp = self._build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:171: in _build_response
    resp.content = stream_reader_factory(loop)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

loop = <Mock id='140054238542432'>

    def stream_reader_factory(
            loop: 'Optional[asyncio.AbstractEventLoop]' = None
    ):
        protocol = ResponseHandler(loop=loop)
>       return StreamReader(protocol, loop=loop)
E       TypeError: StreamReader.__init__() missing 1 required positional argument: 'limit'

/usr/lib/python3.10/site-packages/aioresponses/compat.py:26: TypeError
________________________ test_api_forecast_ll_date_str _________________________

mock_airnowapi = None

    @pytest.mark.asyncio
    async def test_api_forecast_ll_date_str(mock_airnowapi):
        client = WebServiceAPI(MOCK_API_KEY)
>       data = await client.forecast.latLong(
            34.053718, -118.244842,
            date='2020-09-01'
        )

tests/test_12_forecast.py:152: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
pyairnow/forecast.py:61: in latLong
    return await self._request(
pyairnow/api.py:47: in _get
    async with session.get(
/usr/lib64/python3.10/site-packages/aiohttp/client.py:1124: in __aenter__
    self._resp = await self._coro
/usr/lib64/python3.10/unittest/mock.py:2165: in _execute_mock_call
    result = await effect(*args, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:388: in _request_mock
    response = await self.match(method, url, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:334: in match
    response_or_exc = await matcher.build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:190: in build_response
    resp = self._build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:171: in _build_response
    resp.content = stream_reader_factory(loop)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

loop = <Mock id='140054239529376'>

    def stream_reader_factory(
            loop: 'Optional[asyncio.AbstractEventLoop]' = None
    ):
        protocol = ResponseHandler(loop=loop)
>       return StreamReader(protocol, loop=loop)
E       TypeError: StreamReader.__init__() missing 1 required positional argument: 'limit'

/usr/lib/python3.10/site-packages/aioresponses/compat.py:26: TypeError
________________________ test_api_forecast_ll_date_date ________________________

mock_airnowapi = None

    @pytest.mark.asyncio
    async def test_api_forecast_ll_date_date(mock_airnowapi):
        client = WebServiceAPI(MOCK_API_KEY)
>       data = await client.forecast.latLong(
            34.053718, -118.244842,
            date=datetime.date(2020, 9, 1)
        )

tests/test_12_forecast.py:176: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
pyairnow/forecast.py:61: in latLong
    return await self._request(
pyairnow/api.py:47: in _get
    async with session.get(
/usr/lib64/python3.10/site-packages/aiohttp/client.py:1124: in __aenter__
    self._resp = await self._coro
/usr/lib64/python3.10/unittest/mock.py:2165: in _execute_mock_call
    result = await effect(*args, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:388: in _request_mock
    response = await self.match(method, url, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:334: in match
    response_or_exc = await matcher.build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:190: in build_response
    resp = self._build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:171: in _build_response
    resp.content = stream_reader_factory(loop)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

loop = <Mock id='140054238441040'>

    def stream_reader_factory(
            loop: 'Optional[asyncio.AbstractEventLoop]' = None
    ):
        protocol = ResponseHandler(loop=loop)
>       return StreamReader(protocol, loop=loop)
E       TypeError: StreamReader.__init__() missing 1 required positional argument: 'limit'

/usr/lib/python3.10/site-packages/aioresponses/compat.py:26: TypeError
______________________ test_api_forecast_ll_date_datetime ______________________

mock_airnowapi = None

    @pytest.mark.asyncio
    async def test_api_forecast_ll_date_datetime(mock_airnowapi):
        client = WebServiceAPI(MOCK_API_KEY)
>       data = await client.forecast.latLong(
            34.053718, -118.244842,
            date=datetime.datetime(2020, 9, 1, 11, 45, 0)
        )

tests/test_12_forecast.py:200: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
pyairnow/forecast.py:61: in latLong
    return await self._request(
pyairnow/api.py:47: in _get
    async with session.get(
/usr/lib64/python3.10/site-packages/aiohttp/client.py:1124: in __aenter__
    self._resp = await self._coro
/usr/lib64/python3.10/unittest/mock.py:2165: in _execute_mock_call
    result = await effect(*args, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:388: in _request_mock
    response = await self.match(method, url, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:334: in match
    response_or_exc = await matcher.build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:190: in build_response
    resp = self._build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:171: in _build_response
    resp.content = stream_reader_factory(loop)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

loop = <Mock id='140054238179824'>

    def stream_reader_factory(
            loop: 'Optional[asyncio.AbstractEventLoop]' = None
    ):
        protocol = ResponseHandler(loop=loop)
>       return StreamReader(protocol, loop=loop)
E       TypeError: StreamReader.__init__() missing 1 required positional argument: 'limit'

/usr/lib/python3.10/site-packages/aioresponses/compat.py:26: TypeError
________________________ test_api_observations_zipcode _________________________

mock_airnowapi = None

    @pytest.mark.asyncio
    async def test_api_observations_zipcode(mock_airnowapi):
        client = WebServiceAPI(MOCK_API_KEY)
>       data = await client.observations.zipCode(90001)

tests/test_13_observations.py:11: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
pyairnow/observation.py:24: in zipCode
    return await self._request(
pyairnow/api.py:47: in _get
    async with session.get(
/usr/lib64/python3.10/site-packages/aiohttp/client.py:1124: in __aenter__
    self._resp = await self._coro
/usr/lib64/python3.10/unittest/mock.py:2165: in _execute_mock_call
    result = await effect(*args, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:388: in _request_mock
    response = await self.match(method, url, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:334: in match
    response_or_exc = await matcher.build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:190: in build_response
    resp = self._build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:171: in _build_response
    resp.content = stream_reader_factory(loop)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

loop = <Mock id='140054245410464'>

    def stream_reader_factory(
            loop: 'Optional[asyncio.AbstractEventLoop]' = None
    ):
        protocol = ResponseHandler(loop=loop)
>       return StreamReader(protocol, loop=loop)
E       TypeError: StreamReader.__init__() missing 1 required positional argument: 'limit'

/usr/lib/python3.10/site-packages/aioresponses/compat.py:26: TypeError
____________________ test_api_observations_zipcode_distance ____________________

mock_airnowapi = None

    @pytest.mark.asyncio
    async def test_api_observations_zipcode_distance(mock_airnowapi):
        client = WebServiceAPI(MOCK_API_KEY)
>       data = await client.observations.zipCode(90001, distance=100)

tests/test_13_observations.py:27: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
pyairnow/observation.py:24: in zipCode
    return await self._request(
pyairnow/api.py:47: in _get
    async with session.get(
/usr/lib64/python3.10/site-packages/aiohttp/client.py:1124: in __aenter__
    self._resp = await self._coro
/usr/lib64/python3.10/unittest/mock.py:2165: in _execute_mock_call
    result = await effect(*args, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:388: in _request_mock
    response = await self.match(method, url, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:334: in match
    response_or_exc = await matcher.build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:190: in build_response
    resp = self._build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:171: in _build_response
    resp.content = stream_reader_factory(loop)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

loop = <Mock id='140054239556368'>

    def stream_reader_factory(
            loop: 'Optional[asyncio.AbstractEventLoop]' = None
    ):
        protocol = ResponseHandler(loop=loop)
>       return StreamReader(protocol, loop=loop)
E       TypeError: StreamReader.__init__() missing 1 required positional argument: 'limit'

/usr/lib/python3.10/site-packages/aioresponses/compat.py:26: TypeError
___________________________ test_api_observations_ll ___________________________

mock_airnowapi = None

    @pytest.mark.asyncio
    async def test_api_observations_ll(mock_airnowapi):
        client = WebServiceAPI(MOCK_API_KEY)
>       data = await client.observations.latLong(34.053718, -118.244842)

tests/test_13_observations.py:46: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
pyairnow/observation.py:44: in latLong
    return await self._request(
pyairnow/api.py:47: in _get
    async with session.get(
/usr/lib64/python3.10/site-packages/aiohttp/client.py:1124: in __aenter__
    self._resp = await self._coro
/usr/lib64/python3.10/unittest/mock.py:2165: in _execute_mock_call
    result = await effect(*args, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:388: in _request_mock
    response = await self.match(method, url, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:334: in match
    response_or_exc = await matcher.build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:190: in build_response
    resp = self._build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:171: in _build_response
    resp.content = stream_reader_factory(loop)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

loop = <Mock id='140054244970160'>

    def stream_reader_factory(
            loop: 'Optional[asyncio.AbstractEventLoop]' = None
    ):
        protocol = ResponseHandler(loop=loop)
>       return StreamReader(protocol, loop=loop)
E       TypeError: StreamReader.__init__() missing 1 required positional argument: 'limit'

/usr/lib/python3.10/site-packages/aioresponses/compat.py:26: TypeError
______________________ test_api_observations_ll_distance _______________________

mock_airnowapi = None

    @pytest.mark.asyncio
    async def test_api_observations_ll_distance(mock_airnowapi):
        client = WebServiceAPI(MOCK_API_KEY)
>       data = await client.observations.latLong(
            34.053718, -118.244842,
            distance=120
        )

tests/test_13_observations.py:64: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
pyairnow/observation.py:44: in latLong
    return await self._request(
pyairnow/api.py:47: in _get
    async with session.get(
/usr/lib64/python3.10/site-packages/aiohttp/client.py:1124: in __aenter__
    self._resp = await self._coro
/usr/lib64/python3.10/unittest/mock.py:2165: in _execute_mock_call
    result = await effect(*args, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:388: in _request_mock
    response = await self.match(method, url, **kwargs)
/usr/lib/python3.10/site-packages/aioresponses/core.py:334: in match
    response_or_exc = await matcher.build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:190: in build_response
    resp = self._build_response(
/usr/lib/python3.10/site-packages/aioresponses/core.py:171: in _build_response
    resp.content = stream_reader_factory(loop)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

loop = <Mock id='140054240998208'>

    def stream_reader_factory(
            loop: 'Optional[asyncio.AbstractEventLoop]' = None
    ):
        protocol = ResponseHandler(loop=loop)
>       return StreamReader(protocol, loop=loop)
E       TypeError: StreamReader.__init__() missing 1 required positional argument: 'limit'

/usr/lib/python3.10/site-packages/aioresponses/compat.py:26: TypeError
=========================== short test summary info ============================
FAILED tests/test_10_api.py::test_api - TypeError: StreamReader.__init__() mi...
FAILED tests/test_10_api.py::test_api_with_session - TypeError: StreamReader....
FAILED tests/test_11_errors.py::test_api_not_authenticated - TypeError: Strea...
FAILED tests/test_11_errors.py::test_api_invalid_key - TypeError: StreamReade...
FAILED tests/test_11_errors.py::test_api_bad_json - TypeError: StreamReader._...
FAILED tests/test_11_errors.py::test_api_bad_json_2 - TypeError: StreamReader...
FAILED tests/test_11_errors.py::test_api_empty_response - TypeError: StreamRe...
FAILED tests/test_11_errors.py::test_api_unexpected_error - TypeError: Stream...
FAILED tests/test_11_errors.py::test_api_unexpected_error_1 - TypeError: Stre...
FAILED tests/test_11_errors.py::test_api_unexpected_error_2 - TypeError: Stre...
FAILED tests/test_12_forecast.py::test_api_forecast_zipcode - TypeError: Stre...
FAILED tests/test_12_forecast.py::test_api_forecast_zipcode_distance - TypeEr...
FAILED tests/test_12_forecast.py::test_api_forecast_zipcode_date_str - TypeEr...
FAILED tests/test_12_forecast.py::test_api_forecast_zipcode_date_date - TypeE...
FAILED tests/test_12_forecast.py::test_api_forecast_zipcode_date_datetime - T...
FAILED tests/test_12_forecast.py::test_api_forecast_ll - TypeError: StreamRea...
FAILED tests/test_12_forecast.py::test_api_forecast_ll_distance - TypeError: ...
FAILED tests/test_12_forecast.py::test_api_forecast_ll_date_str - TypeError: ...
FAILED tests/test_12_forecast.py::test_api_forecast_ll_date_date - TypeError:...
FAILED tests/test_12_forecast.py::test_api_forecast_ll_date_datetime - TypeEr...
FAILED tests/test_13_observations.py::test_api_observations_zipcode - TypeErr...
FAILED tests/test_13_observations.py::test_api_observations_zipcode_distance
FAILED tests/test_13_observations.py::test_api_observations_ll - TypeError: S...
FAILED tests/test_13_observations.py::test_api_observations_ll_distance - Typ...
========================= 24 failed, 5 passed in 2.40s =========================

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01777506-python-pyairnow/

For all our attempts to build python-pyairnow with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/python-pyairnow/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Ben Cotton 2021-02-09 15:27:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.


Note You need to log in before you can comment on or make changes to this bug.